# HTTP API

Settings
Enabled Use /api/list to see all of available endpoints.
Restful If enabled, API requests that contain data (for example, to modify the relay status) must be done using PUT. If disabled you can issue them as GET requests and add request parameters as `http://$url/api/path?key=value`. Do not enable unless it is really necessary
Key
This is the authentication token you will have to pass with every HTTP request. All API calls must either contain the Api-Key header or the apikey request parameter with the value above.